import React from "react";
import {Card, Col, Row, Typography} from "antd";
import {BreadcumbComponent} from "../../component/BreadcumbComponent";
import {LINKS} from "../../routes/app";
import {useStore} from "../../utils/useStore";

const {Title, Text} = Typography;

export const Profile = () => {
    const store = useStore();
    const routeData = [
        {
            route: LINKS.HOME,
            name: "Home",
        },
        {
            route: LINKS.PROFILE,
            name: <span style={{fontWeight: 'bold'}}>Profile</span>,
        },
    ];

    return (
        <div className={["ppob-container"].join(" ")}>
            <BreadcumbComponent data={routeData}/>
            <Card>
                <Row style={{marginBottom: 20}}>
                    <Col span={24}>
                        <div>
                            <Title strong>Profile</Title>
                            <Row>
                                <Col span={10}>
                                    <Text strong>Name</Text>
                                </Col>
                                <Col span={14}>
                                    <Text>{store.authentication.userData.username}</Text>
                                </Col>
                                <Col span={10}>
                                    <Text strong>Role</Text>
                                </Col>
                                <Col span={14}>
                                    <Text>{store.authentication.userData.role}</Text>
                                </Col>
                            </Row>
                        </div>
                    </Col>
                </Row>
                <div/>
            </Card>

        </div>
    )
};
